from __future__ import print_function

import json
import re
import sys

def eprint(*args, **kwargs):
    print(*args, file=sys.stderr, **kwargs)


def readKey(filename):

    try:
        # read with auto-close
        with open(filename,"r") as fin:
            lines = fin.readlines()

    except FileNotFoundError as e:
        eprint("Failed to find '"+filename+"'")
        eprint("Have you created your own version of this file based on " + filename + ".in ?")
        return ""
                
    key = ""
    for line in lines:
        if not re.match(r'^(#.*)|(\s*)$',line):
            line_stripped = line.strip().rstrip();
            key = key + line_stripped

    return key

def writeJSON(json_output_filename,returned_json):

    returned_json_prettyprint = json.dumps(returned_json, indent=2, ensure_ascii=False)

    print("Saving returned JSON output to: " + json_output_filename)

    # write output with auto-close file handle
    with open(json_output_filename, 'w', encoding="utf8") as fout:
        fout.write(returned_json_prettyprint)
